Bug 421191 - vgchange man page is missing --uuid
vgchange man page is missing --uuid
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2 (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Milan Broz
Corey Marthaler
Depends On:
  Show dependency treegraph
Reported: 2007-12-12 05:37 EST by Kazuo Moriwaka
Modified: 2013-02-28 23:06 EST (History)
7 users (show)

See Also:
Fixed In Version: RHBA-2008-0378
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 11:39:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kazuo Moriwaka 2007-12-12 05:37:31 EST
Description of problem:

lvm man pages misses some option's descriptions. Without 
source reading, they cannot be understanded.

Version-Release number of selected component (if applicable):

How reproducible:

For example, vgchange has '--uuid' option for recreate volume groups' 
uuid number (to avoid troubles from disc mirroring with clustered lvm etc.)

But there are no descriptions in man pages.
'vgcreate -h' displays only existing it, users cannot determine from 'recreate
uuid', 'use uuid for target volume group', or some other cases.

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Alasdair Kergon 2007-12-12 06:33:47 EST
vgcreate does not have --uuid

Comment 2 RHEL Product and Program Management 2007-12-12 06:34:24 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 3 Kazuo Moriwaka 2007-12-12 22:16:41 EST
I'm sorry. 'vgcreate -h' is mitake for 'vgchange -h'.
Comment 5 Milan Broz 2008-01-04 06:51:48 EST
Fixed upstream, in next rebase -> POST.
Comment 6 Milan Broz 2008-01-17 19:23:48 EST
In lvm2-2.02.30-1.el5.
Comment 8 Corey Marthaler 2008-03-31 18:27:14 EDT
fix verified in lvm2-2.02.32-2.el5.
Comment 10 errata-xmlrpc 2008-05-21 11:39:41 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.